PImage flower,bk;
float[] fx=new float[350];
float[] fy=new float[350];
float[] fz=new float[350];
void setup () {
  size (500, 500, P3D);
  flower = loadImage("flower.png");
  bk = loadImage("bk.jpg");
  bk.resize(width,height);
  for(int i=0;i<fx.length;i++){
    fx[i] = random(-200,400);
    fy[i] = random(-500,100);
  }
}

void draw () {
  background(bk);
  
  camera (mouseX, mouseY, 800, width/2, height/2, 0, 0, 2, 0);
  
  for(int i=0;i<fx.length;i++){
    pushMatrix();
    translate(fx[i],fy[i]);
    image(flower,fx[i],fy[i],30,30);
    popMatrix();
    fy[i]+=random(0.2,1);
    if(fy[i]>height/2){
      fy[i] -= height;
    }
  }
  
  pushMatrix ();
  translate (width/2, height/2);
  lights ();
  noStroke ();
  fill (#F7D4D4);
  box (300);
  
  translate (-50, 0, 200);
  fill (#FFFFFF);
  box (60);
  
  translate (0, 0, 40);
  fill (#150000);
  sphere (15);
  
  translate (100, 0, -40);
  fill (#FFFFFF);
  box (60);
  
  translate (0, 0, 40);
  fill (#150000);
  sphere (15);
  
  popMatrix();
  
  pushMatrix ();
  translate (width/2, height/2 +75, 200);
  
  box (mouseY * 0.4, 10, 10);
  popMatrix ();
  
  pushMatrix ();
  translate (width/2, height/2 - 180);
  rotateY (mouseX * 0.1);
  fill (#FFD340);
  box (350, 30, 350);
  translate ( 0, -70);
  box (100, 90, 100);
  translate (0, 30);
  fill (#F5B4FF);
  box (130, 10, 130);
  popMatrix ();
}
